channels:
  - conda-forge
dependencies:
  - python=3.10
  - pyspark=3.1.2
  - pyarrow=9.0.0
  # section_topics/scripts/gather_section_titles_denylist.py
  - requests=2.32.3
  # section_topics/scripts/fetch_qids_from_wikidata.py
  - sparqlwrapper=2.0.0
  # Not available in conda
  - pip:
    - mwparserfromhell==0.6.6
    # section_topics/scripts/detect_html_tables.py
    # TODO Update with next version after 1.0.2, once released
    # - mwparserfromhtml==1.x.x
    - git+https://gitlab.wikimedia.org/repos/research/html-dumps.git@main
